#include "test/framework/catch.hpp"
#include <string.h>

#define SHELLMATTA_TRANSPORT
#undef SHELLMATTA_TRANSPORT_CRC_NO_LOOKUP
#include "test_crc32_data.h"
#include "src/shellmatta_crc.c"

TEST_CASE( "shellmatta_crc crc32Fast" ) {

    uint32_t crc = crc32Fast((char*)"123456789", 9, crc32Table);

    REQUIRE(crc == 0xCBF43926u);
}

TEST_CASE( "shellmatta_crc crc32Fast - more data" ) {

    uint32_t crc = crc32Fast((char*)data, sizeof(data), crc32Table);

    REQUIRE(crc == data_crc);
}
